<template>
  <div class="flex-container__item">
    <img class="image" :src="cover" >
    <div class="txt">
      <div class="txt title">
        {{ Title }}
      </div>
      <div class="txt autor">
        {{ Autor }}
      </div>
    </div>
    <BtnBuy />
  </div>
</template>

<script>
// import { ref } from 'vue
import BtnBuy from '@/components/ui/BtnBuy.vue'

export default {
  name: 'CardProduct',
  components: {
    BtnBuy
  },
  props: {
    cover: {
      type: String,
      default: ''
    },
    Title: {
      type: String,
      default: ''
    },
    Autor: {
      type: String,
      default: ''
    }
  },
  setup () {
  }
}
</script>

<style lang="scss" scoped>
.image {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  // width: 300px;
  height: 270px;
  margin: 19px 15px auto 15px;
}
.flex-container__item {
  display: grid;
  justify-items: center;
  align-content: space-between;
  justify-content: space-around;
  width: 330px;
  height: 490px;
  margin-right: 26px;
  background: white;
  border-radius: 10px;
  box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.30);
}
.flex-container__item:last-of-type {
  margin-right: 0;
}
.txt {
  display: inline-flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  text-align: center;
  margin: 0 15px 0 15px;
  gap: 14px;
  font-family: Roboto;
  font-weight: 400;
  color: black;
}
.txt.title {
  font-size: 24px;
}
.txt.autor {
  font-size: 20px;
}
</style>
